Commit 1f1f42f7 authored by Matija Obreza's avatar Matija Obreza

Temporary: local jackson-datatype-hibernate5:2.9.9-SNAPSHOT

parent ac270434
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>com.fasterxml.jackson.datatype</groupId>
<artifactId>jackson-datatype-hibernate-parent</artifactId>
<version>2.9.9-SNAPSHOT</version>
</parent>
<artifactId>jackson-datatype-hibernate4</artifactId>
<name>Jackson-datatype-Hibernate4</name>
<artifactId>jackson-datatype-hibernate5</artifactId>
<name>Jackson-datatype-Hibernate5</name>
<packaging>bundle</packaging>
<description>Add-on module for Jackson (http://jackson.codehaus.org) to support
Hibernate (http://hibernate.org) version 4.x data types.
Hibernate (http://hibernate.org) version 5.x data types.
</description>
<url>https://github.com/FasterXML/jackson-datatype-hibernate</url>
<properties>
<!-- Generate PackageVersion.java into this directory. -->
<packageVersion.dir>com/fasterxml/jackson/datatype/hibernate4</packageVersion.dir>
<packageVersion.package>${project.groupId}.hibernate4</packageVersion.package>
<packageVersion.dir>com/fasterxml/jackson/datatype/hibernate5</packageVersion.dir>
<packageVersion.package>${project.groupId}.hibernate5</packageVersion.package>
<!-- Hibernate with JPA 2.0 -->
<hibernate.version>4.1.0.Final</hibernate.version>
<hibernate.version>5.2.17.Final</hibernate.version>
<surefire.version>2.12</surefire.version>
<osgi.export>${project.groupId}.hibernate4</osgi.export>
<osgi.export>${project.groupId}.hibernate5</osgi.export>
</properties>
<dependencies>
<!-- 18-Dec-2015, tatu: Since 5.0.1, we get exception for
missing class "javax.transaction.SystemException", without this:
-->
<dependency>
<groupId>javax.transaction</groupId>
<artifactId>jta</artifactId>
<version>1.1</version>
</dependency>
<!-- what would be the best scope to use here? -->
<!-- what would be the best scope to use here? -->
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-core</artifactId>
......@@ -37,7 +45,14 @@ Hibernate (http://hibernate.org) version 4.x data types.
<version>${hibernate.version}</version>
<scope>provided</scope>
</dependency>
<!-- and for some contributed tests Mockito -->
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-core</artifactId>
<version>1.10.19</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
......@@ -71,7 +86,20 @@ Hibernate (http://hibernate.org) version 4.x data types.
</execution>
</executions>
</plugin>
<!-- 02-Mar-2017, tatu: Need to publish test jar for 5.2 test to work -->
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jar-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>test-jar</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
</project>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment